For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Developer Tools
CommunityContact UsConsole
HomeAPI ReferenceDocsChangelog
HomeAPI ReferenceDocsChangelog
  • API Reference
      • POSTCreate webhook
      • DELDelete webhook
      • GETList webhooks
      • GETShow webhook
      • PATCHUpdate webhook

© 2026 Adobe Inc. All rights reserved.

TermsPrivacyDo not sell or share my personal information
Developer-friendly docs for your API
Logo
Developer Tools
CommunityContact UsConsole
API ReferenceWebhooks

Show webhook

GET
https://api.frame.io/v4/accounts/:account_id/webhooks/:webhook_id
GET
/v4/accounts/:account_id/webhooks/:webhook_id
1from frameio import Frameio
2
3client = Frameio(
4 token="YOUR_TOKEN_HERE",
5)
6
7client.webhooks.show(
8 account_id="3dfd7d7d-8dae-4b6d-bebf-6ae4935fdd5a",
9 webhook_id="8240034a-b2d7-42cd-9c0b-3a96a4bdbd67",
10)
1{
2 "data": {
3 "created_at": "2024-02-12T21:34:58.501275Z",
4 "events": [
5 "file.created",
6 "file.deleted",
7 "file.ready",
8 "file.updated",
9 "file.upload.completed",
10 "file.versioned",
11 "file.copied",
12 "folder.created",
13 "folder.deleted",
14 "folder.updated",
15 "folder.copied",
16 "comment.completed",
17 "comment.created",
18 "comment.deleted",
19 "comment.uncompleted",
20 "comment.updated",
21 "customfield.created",
22 "customfield.updated",
23 "customfield.deleted",
24 "metadata.value.updated",
25 "project.created",
26 "project.deleted",
27 "project.updated",
28 "collection.created",
29 "collection.updated",
30 "collection.deleted",
31 "share.created",
32 "share.updated",
33 "share.deleted",
34 "share.viewed"
35 ],
36 "id": "5b39d9b3-f812-4f47-98eb-4d85f4c2670d",
37 "name": "My First Webhook",
38 "updated_at": "2024-02-12T21:34:58.501275Z",
39 "url": "https://my.webhook.url.dev",
40 "active": "true",
41 "workspace_id": "a04df951-7b45-4ca7-b1a0-5c2dadbc08c0",
42 "creator": {
43 "active": true,
44 "avatar_url": "https://assets.frame.io/uploads/cd58cb8e-24b3-4448-8d0f-9532fcd04d11/original.png?response-content-disposition=attachment%3B+filename%3D%22foo.png&Expires=1729857600&Signature=L09h0pi82dCrMYjr9lMHBragByWYh1&Key-Pair-Id=KKI497NESTHMN",
45 "email": "user_email@example.com",
46 "id": "196C1A5666BF4EB00A49411B@176719f5667c82b4494214.e",
47 "name": "Jon Doe"
48 }
49 }
50}

Show webhook details.
Rate Limits: 100 calls per 1.00 minute(s) per account_user

Was this page helpful?
Previous

Update webhook

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequiredformat: "uuid"
A UUID String
webhook_idstringRequiredformat: "uuid"
A UUID String

Query parameters

includeenumOptional
Include query parameter for webhooks
Allowed values:

Response headers

x-ratelimit-limitinteger
Rate limit
x-ratelimit-remaininginteger
Rate limit remaining
x-ratelimit-windowinteger
Rate limit window in milliseconds

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error